Show / Hide Table of Contents

# Interface IPrivateChannel

Represents a generic channel that is private to select recipients.

##### Inherited Members

IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IPrivateChannel : IChannel, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Recipients

Gets the users that can access this channel.

##### Declaration

    IReadOnlyCollection<IUser> Recipients { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<IUser> | A read-only collection of users that can access this channel.